# Set permissions

ui_print " "
ui_print " Module info: "
ui_print " • Name            : ActivityAIO"
ui_print " • Codename        : G"
ui_print " • Version         : V1.0.1"
ui_print " • Status          : Public Release "
ui_print " • Owner           : MiAzami "
ui_print " • Build Date      : 22-08-2024"
ui_print " • Support Varians : -"
ui_print " "
ui_print " Device info:"
ui_print " • Brand           : $(getprop ro.product.system.brand) "
ui_print " • Device          : $(getprop ro.product.system.model) "
ui_print " • Processor       : $(getprop ro.product.board) "
ui_print " • Android Version : $(getprop ro.system.build.version.release) "
ui_print " • SDK Version     : $(getprop ro.build.version.sdk) "
ui_print " • Architecture    : $(getprop ro.product.cpu.abi) "
ui_print " • Kernel Version  : $(uname -r) "
ui_print " "
ui_print " Thanks To:"
sleep 0.2
ui_print " — MiAzami"
sleep 0.2
ui_print " — Riprog"
sleep 0.2
ui_print " — All Tester"
sleep 0.2
ui_print " — All Dev Re;Surrection"
sleep 0.2
ui_print " "
ui_print " Preparing Settings..."
sleep 1
# Set permissions
ui_print " ⚙️ Settings permissions"
sleep 0.5
ui_print " Apply Tweaks & Settings: ✅"
ui_print " "
ui_print " Preparing Settings..."
ui_print " ⚙️ Setting permissions"

set_perm_recursive $MODPATH 0 0 0755 0644
set_perm_recursive $MODPATH/script 0 0 0755 0755

# Install toast app
ui_print " 📲 Install Toast app"
pm install $MODPATH/Toast.apk
ui_print " "

# Check rewrite directory
if [ ! -e /storage/emulated/0/ActivityG ]; then
  mkdir /storage/emulated/0/ActivityG
fi

# Check applist file
if [ ! -e /storage/emulated/0/ActivityG/applist_perf.txt ]; then
  cp -f $MODPATH/script/applist_perf.txt /storage/emulated/0/ActivityG
fi

nohup am start -a android.intent.action.VIEW -d https://t.me/mtkvestg99 >/dev/null 2>&1 &
